## flexc++ 2.11.02

=== documentation/manual/Makefile ===
.PHONY: all clean

all: flexc++.pdf flexc++.html

clean:
	rm flexc++*.html flexc++.{aux,latex,log,pdf,toc}

flexc++.html: *.yo
	yodl2html flexc++

flexc++.pdf: *.yo
	yodl2latex flexc++
	pdflatex flexc++.latex
	pdflatex flexc++.latex

## flexc++ 0.95.00

=== debian/changelog ===
flexc++ (0.95.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release, removes erroneously added %max-depth directive.

  [ tony mancill ]
  * Set Standards-Version to 3.9.3.

 -- tony mancill <tmancill@debian.org>  Tue, 28 Feb 2012 00:09:38 +0000

flexc++ (0.94.00-1) unstable; urgency=low

  * New upstream release, adds the --max-depth option and facilities for
    determining the number and names of nested specification files.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 23 Feb 2012 12:39:28 +0100

flexc++ (0.93.00-1) unstable; urgency=low

  * New upstream release, reimplements the interactive scanner

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 20 Feb 2012 14:17:55 +0100

flexc++ (0.92.00-1) unstable; urgency=low

  * New upstream release, fixes several small issues, see the upstream
    changelog 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 17 Feb 2012 14:17:14 +0100

flexc++ (0.91.00-1) unstable; urgency=low

  * New upstream release, fixes segfault, version number and adds
    --target-directory option.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 11 Feb 2012 13:50:02 +0100

flexc++ (0.09.51-1) unstable; urgency=low

  * New upstream release rebases release.yo to flexc++'s main directory

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 06 Feb 2012 21:16:48 +0100

flexc++ (0.09.50-1) unstable; urgency=low

  * New upstream release, first version submitted to Debian

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 06 Feb 2012 17:05:52 +0100

flexc++ (0.09.32-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 05 Feb 2012 18:00:19 +0100

flexc++ (0.09.20-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 04 Feb 2012 16:09:20 +0100

flexc++ (0.09.10-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 03 Feb 2012 13:51:56 +0100

flexc++ (0.09.01-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 03 Feb 2012 11:34:03 +0100

flexc++ (0.09.00.06-1) unstable; urgency=low

  * New upstream release implements new grammar

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 30 Jan 2012 20:53:23 +0100

flexc++ (0.8.3-1) unstable; urgency=low

  * New upstream release fixes segfault detected by Jean-Paul van Oosten

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 14 Jan 2012 11:43:10 +0100

flexc++ (0.8.2-1) unstable; urgency=low

  * New upstream release adds new switchStream member, handling streams

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 30 Dec 2011 17:35:39 +0100

flexc++ (0.8.1-1) unstable; urgency=low

  * New upstream release repairs regex definition handling

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 29 Dec 2011 23:31:04 +0100

flexc++ (0.8.0-1) unstable; urgency=low

  * New upstream release completely rebuilt of flexc++

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 13 Jul 2011 21:52:56 +0200

flexc++ (0.7.1~pre-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 26 Mar 2010 16:31:28 +0100

flexc++ (0.7.0~pre-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 20 Mar 2010 17:58:49 +0100

flexc++ (0.5.3-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 19 Mar 2010 10:28:11 +0100

flexc++ (0.5.3~pre-2) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 16 Mar 2010 13:51:33 +0100

flexc++ (0.5.3~pre-1) unstable; urgency=low

  * New (intermediate) upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 09 Mar 2010 13:33:55 +0100

flexc++ (0.5.2~pre-1) unstable; urgency=low

  * New (intermediate) upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 05 Mar 2010 16:29:24 +0100

flexc++ (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 04 Mar 2010 11:46:07 +0100

flexc++ (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 17 Mar 2009 12:00:10 +0100

flexc++ (0.1.1) unstable; urgency=low

  * Control file adapted, new upstream reelase

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 14 Mar 2009 09:27:25 +0100

flexc++ (0.1.0) unstable; urgency=low

  * Initial creation of a Debian package

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 13 Mar 2009 08:50:08 +0100

flexc++ (0.0.0) unstable; urgency=low

  * Definition of the flexc++ debian files

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 19 Apr 2008 15:29:47 +0200

=== debian/control ===
Source: flexc++
Section: devel
Priority: optional
Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
Uploaders: George Danchev <danchev@spnet.net>, 
           tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 7.0.15), libbobcat-dev (>= 2.21.01),
                icmake (>= 7.15.0), g++ (>= 4.6.2),
                yodl (>= 3.00.0)
Standards-Version: 3.9.3
Homepage: http://flexcpp.sourceforge.net
Vcs-Svn: https://svn.openfmi.net/debian-addons-bg/flexc++/trunk

Package: flexc++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bisonc++
Description: Flex-style scanner generator for C++ 
 Flexc++ was designed after `flex'. Flexc++ offers as compared to flex's C++
 option a cleaner class-design.
 .
 Flexc++ generates a scanner class that is ready for use, as well as a member
 function producing the lexical scanner tokens (lex()). The class can easily
 be provided with additional members without the need for polymorphic
 functions. Consequently, classes generated by flexc++ have no virtual members
 and actually have but one public member: lex(), replacing the old-style flex
 and flex++ yylex() function.
 .
 Flexc++ offers many options, among which an option to define classes
 generated by flexc++ in a separate namespace. This allows developers to
 define additional symbols, even outside of the class generated by flexc++,
 without encountering name-collision problems. With flexc++, artificial means
 to prevent name-collisions, like the yy-conventions used by flex and flex++
 are no longer required.  Flexc++ generates C++ code. If C code is required,
 flex should be used. Flexc++'s grammar requirements are highly compatible
 with flex's requirements, so converting a flex grammar into a flexc++ grammar
 should be fairly simple.
 .
 In addition to the flexc++ scanner generator itself and several skeleton
 files, the package contains an extensive man-page, as well as a full manual
 rewritten after the original flex manual, and several examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

CXXFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

build: build-indep build-arch
build-indep:
build-arch: build-stamp
build-stamp:
	dh_testdir
	# compile the package.
	sed 's,/usr/local,/usr,' INSTALL.im > INSTALL.x
	mv INSTALL.x INSTALL.im
	./build program
	./build man
	./build manual
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	./build distclean
	dh_clean

install: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/flexc++.
	./build install debian/flexc++

binary-indep:

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README.class-setup
#	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# The following is for internal development usage only
# Update that sum when new _upstream_ releases occur, this
# catches silent file content forges at the upstream server side
# Archive downloaded from https://www.icce.rug.nl/debian/flexc++
#				file: flexc++_x.y.z.tar.gz

MD5TRUSTED := e965eaf6709f61c93b4bb5bf227c5f44

DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
UPNAME := flexc++
UPFILE := $(UPNAME)_$(UPVERSION).tar.gz
DEFILE := $(UPNAME)_$(UPVERSION).orig.tar.gz
URL		   := https://www.icce.rug.nl/debian/flexc++
MD5CURRENT := `md5sum ../tarballs/$(DEFILE) | sed -e 's/ .*//'`
SVNTRUNK   := https://oosix.icce.rug.nl/svnroot/flexc++/trunk/flexc++

get-orig-source:
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs

	-@if [ ! -f ../tarballs/$(DEFILE) ] ; then \
		echo "Downloading $(URL)/$(UPFILE) from $(URL)/$(UPFILE) ..." ; \
	wget --no-check-certificate --quiet -N -nv -T10 -t3 -O \
		 ../tarballs/$(DEFILE) $(URL)/$(UPFILE) ; \
	else \
		echo "Upstream source tarball have been already downloaded" ; \
	fi

	-@if [ "$(MD5CURRENT)" != "$(MD5TRUSTED)" ] ; then \
		echo "Expecting upstream filename md5sum $(MD5TRUSTED), but $(MD5CURRENT) found" ; \
		echo "Upstream filename md5sum is NOT trusted! Possible upstream filename forge!" ; \
		false ; \
	else \
		echo "Upstream filename md5sum is trusted!" ; \
	fi


get-svn-trunk:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	rm -rf ../tarballs/$(DEFILE) ../tarballs/flexc++-svn-trunk
	svn --force export $(SVNTRUNK) ../tarballs/flexc++-svn-trunk
	@@if [ -d ../tarballs/flexc++-svn-trunk/debian ] ; then rm -rf ../tarballs/flexc++-svn-trunk/debian; fi
	@@ echo Building the SVN TRUNK tarball in ../tarballs/$(DEFILE)
	@@GZIP=-9 tar -b1 -czf ../tarballs/$(DEFILE) -C ../tarballs flexc++-svn-trunk
	rm -rf ../tarballs/flexc++-svn-trunk

print-version:
	@@echo "Debian version:		 $(DEBVERSION)"
	@@echo "Upstream version:	 $(UPVERSION)"


binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

## flexc++ 0.98.00

=== debian/changelog ===
flexc++ (0.98.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release
    + adds the option to createa case-insensitive scanner
  * Build-depend on libbobcat-dev >= 3.00.02

 -- George Danchev <danchev@spnet.net>  Wed, 06 Jun 2012 09:19:03 +0200

flexc++ (0.97.20-1) unstable; urgency=low

  * New upstream release. 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 20 Apr 2012 16:34:20 +0200

flexc++ (0.97.00-1) unstable; urgency=low

  * New upstream release. See the upstream's changelog
  * Build dependency on bisonc++ removed.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 14 Apr 2012 13:56:04 +0200

flexc++ (0.96.00-1) unstable; urgency=low

  * New upstream release changes the interpretation of INITIAL to an inclusive
    mini scanner, as per the std. flex manual.
  * Build-Depends on bisonc++.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 29 Mar 2012 17:15:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>, 
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7.0.15), libbobcat-dev (>= 2.21.01),
-                icmake (>= 7.15.0), g++ (>= 4.6.2),
+Build-Depends: debhelper (>= 7.0.15), libbobcat-dev (>= 3.00.02),
+                icmake (>= 7.18.0), g++ (>= 4.7.0),
                 yodl (>= 3.00.0)
 Standards-Version: 3.9.3
 Homepage: http://flexcpp.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 # Archive downloaded from https://www.icce.rug.nl/debian/flexc++
 #				file: flexc++_x.y.z.tar.gz
 
-MD5TRUSTED := e965eaf6709f61c93b4bb5bf227c5f44
+MD5TRUSTED := b312d85d68128b068c1d309dbe475504
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
@@ -81,7 +81,7 @@
 	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
 
 	-@if [ ! -f ../tarballs/$(DEFILE) ] ; then \
-		echo "Downloading $(URL)/$(UPFILE) from $(URL)/$(UPFILE) ..." ; \
+		echo -e "Downloading $(URL)/$(UPFILE)\nSaving into ../tarballs/$(DEFILE) ..." ; \
 	wget --no-check-certificate --quiet -N -nv -T10 -t3 -O \
 		 ../tarballs/$(DEFILE) $(URL)/$(UPFILE) ; \
 	else \

## flexc++ 1.03.01

=== debian/changelog ===
flexc++ (1.03.01-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release catches std::exception exceptions instead of
    FBB::Errno exceptions and (1.03.00) returns 0 with --version or --help

  [ tony mancill ]
  * Update build-deps to g++-4.7.
  * Update d/control Vcs fields to point to repo on git.debian.org.

 -- tony mancill <tmancill@debian.org>  Fri, 25 Jan 2013 19:41:45 -0800

flexc++ (1.02.00-1) unstable; urgency=low

  * New upstream release allows blanks after mini-scanner specifications

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 25 Nov 2012 11:43:59 +0100

flexc++ (1.01.00-1) unstable; urgency=low

  * New upstream release removes the --interactive option, fixes a small bug
    in one of the skeleton files,  and offers updated documentation

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 05 Nov 2012 11:10:57 +0100

flexc++ (1.00.00-1) unstable; urgency=low

  * New upstream release fixes two small bugs and bumps to 1.00.00 after
    having been used for a year without any major problems.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 18 Sep 2012 05:22:24 +0200

flexc++ (0.98.01-1) unstable; urgency=low

  * Upstream build script recognizes CXX, CPPFLAGS, CXXFLAGS, LDFLAGS, and
    SKEL environment variables 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 22 Jul 2012 11:05:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>, 
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7.0.15), libbobcat-dev (>= 3.00.02),
-                icmake (>= 7.18.0), g++ (>= 4.7.0),
+Build-Depends: debhelper (>= 7.0.15), libbobcat-dev (>= 3.01.00),
+                icmake (>= 7.19.0), g++-4.7 (>= 4.7.1),
                 yodl (>= 3.00.0)
 Standards-Version: 3.9.3
 Homepage: http://flexcpp.sourceforge.net
-Vcs-Svn: https://svn.openfmi.net/debian-addons-bg/flexc++/trunk
+Vcs-Git: git://git.debian.org/git/collab-maint/flexc++.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/flexc++.git
 
 Package: flexc++
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS += --std=c++0x -Wall 
CXX = g++-4.7

SKEL = /usr/share/flexc++

build: build-indep build-arch
build-indep:
build-arch: build-stamp
build-stamp:
	dh_testdir
	# compile the package.
	./build program
	./build man
	./build manual
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	./build distclean
	dh_clean

install: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/flexc++.
	./build install program debian/flexc++/usr/bin/flexc++
	./build install skel    debian/flexc++/usr/share/flexc++
	./build install std     debian/flexc++/usr/share/doc/flexc++
	./build install man     debian/flexc++/usr/share/man/man1
	./build install manual  debian/flexc++/usr/share/doc/flexc++/manual

binary-indep:

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README.class-setup
#       dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# The following is for internal development usage only
# Update that sum when new _upstream_ releases occur, this
# catches silent file content forges at the upstream server side
# Archive downloaded from https://www.icce.rug.nl/debian/flexc++
#                               file: flexc++_x.y.z.tar.gz

MD5TRUSTED := 7ce5a5289f54ccd7baf0e66297555993

DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
UPNAME := flexc++
UPFILE := $(UPNAME)_$(UPVERSION).tar.gz
DEFILE := $(UPNAME)_$(UPVERSION).orig.tar.gz
URL                := https://www.icce.rug.nl/debian/flexc++
MD5CURRENT := `md5sum ../tarballs/$(DEFILE) | sed -e 's/ .*//'`

get-orig-source:
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs

	-@if [ ! -f ../tarballs/$(DEFILE) ] ; then \
	        echo -e "Downloading $(URL)/$(UPFILE)\nSaving into ../tarballs/$(DEFILE) ..." ; \
	wget --no-check-certificate --quiet -N -nv -T10 -t3 -O \
	         ../tarballs/$(DEFILE) $(URL)/$(UPFILE) ; \
	else \
	        echo "Upstream source tarball have been already downloaded" ; \
	fi

	-@if [ "$(MD5CURRENT)" != "$(MD5TRUSTED)" ] ; then \
	        echo "Expecting upstream filename md5sum $(MD5TRUSTED), but $(MD5CURRENT) found" ; \
	        echo "Upstream filename md5sum is NOT trusted! Possible upstream filename forge!" ; \
	        false ; \
	else \
	        echo "Upstream filename md5sum is trusted!" ; \
	fi

# call git-build from the project's base directory as `fakeroot debian/rules git-build'
# it creates  ../${UPNAME}-build and runs dpkg-buildpackage in ../${UPNAME}-build/$(UPNAME)-$(UPVERSION)
# which, if successful, creates the debian files in ${UPNAME}-build
# Probably easier to use is `git-bl'

debian-area = $(shell pwd)
build-base  = ../$(UPNAME)-build
build-area  = $(UPNAME)-$(UPVERSION)
tarball     = ../tarballs/$(DEFILE) 
garbage     = ../$(UPNAME)-build/$(UPNAME)-$(UPVERSION) ../$(UPNAME)-build/run.lintian

git-build:
	@@[ -d $(build-base)/. ] || mkdir -p $(build-base)

	-@if [ ! -f $(tarball) ] ; then \
	    echo "Upstream source tarball $(tarball) not found" ; \
	else \
	    rm -rf $(garbage) ; \
	    cp $(tarball) $(build-base) ; \
	    chdir $(build-base) ; \
	    tar xzf $(DEFILE) ; \
	    chdir $(build-area) ; \
	    cp -r $(debian-area)/debian ./ ; \
	    dpkg-buildpackage $(DPKG_BUILDPACKAGE) ; \
	    if [ "$$?" -eq 0 ] ; then \
	        chdir .. ; \
	        touch run.lintian ; \
	        rm -rf $(build-area) ; \
	    else \
	        chdir .. ; \
	        mv $(build-area) $(build-area)-obsolete-`date +%s` ; \
	    fi \
	fi

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

## flexc++ 1.05.00

=== debian/changelog ===
flexc++ (1.05.00-1) unstable; urgency=low

  * New upstream release disallows path-specifications for destination
    filenames 

  * Removed git-build target from debian/rules

  * Removed explicit g++ compiler version specification (4.7) from
    debian/rules 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 28 May 2013 18:44:01 +0200

flexc++ (1.04.00-2) unstable; urgency=low

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Wed, 08 May 2013 20:15:39 -0700

flexc++ (1.04.00-1) experimental; urgency=low

  * New upstream release repairs several minor flaws
  * Adapted debian/rules to the project/{debian,src,build} directory structure
    used by git-bl

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 15 Mar 2013 14:29:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>, 
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7.0.15), libbobcat-dev (>= 3.01.00),
-                icmake (>= 7.19.0), g++-4.7 (>= 4.7.1),
-                yodl (>= 3.00.0)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.15), libbobcat-dev (>= 3.12.00),
+                icmake (>= 7.19.0), g++ (>= 4:4.7.1),
+                yodl (>= 3.00.0), 
+                hardening-wrapper, hardening-includes
+Standards-Version: 3.9.4
 Homepage: http://flexcpp.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/flexc++.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/flexc++.git

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,26 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+# The following is for internal development usage only
+# Update that sum when new _upstream_ releases occur, this
+# catches silent file content forges at the upstream server side
+# Archive downloaded from https://www.icce.rug.nl/debian/flexc++
+#                               file: flexc++_x.y.z.tar.gz
+
+MD5TRUSTED := 2e3e137c948aeb688a61f0cc2cdedad7
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_HARDENING=1
 
 export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
 CXXFLAGS += --std=c++0x -Wall 
-CXX = g++-4.7
+# CXX = g++-4.7
 
 SKEL = /usr/share/flexc++
 
@@ -64,13 +74,6 @@
 	dh_md5sums
 	dh_builddeb
 
-# The following is for internal development usage only
-# Update that sum when new _upstream_ releases occur, this
-# catches silent file content forges at the upstream server side
-# Archive downloaded from https://www.icce.rug.nl/debian/flexc++
-#                               file: flexc++_x.y.z.tar.gz
-
-MD5TRUSTED := 7ce5a5289f54ccd7baf0e66297555993
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
@@ -99,40 +102,6 @@
 	        echo "Upstream filename md5sum is trusted!" ; \
 	fi
 
-# call git-build from the project's base directory as `fakeroot debian/rules git-build'
-# it creates  ../${UPNAME}-build and runs dpkg-buildpackage in ../${UPNAME}-build/$(UPNAME)-$(UPVERSION)
-# which, if successful, creates the debian files in ${UPNAME}-build
-# Probably easier to use is `git-bl'
-
-debian-area = $(shell pwd)
-build-base  = ../$(UPNAME)-build
-build-area  = $(UPNAME)-$(UPVERSION)
-tarball     = ../tarballs/$(DEFILE) 
-garbage     = ../$(UPNAME)-build/$(UPNAME)-$(UPVERSION) ../$(UPNAME)-build/run.lintian
-
-git-build:
-	@@[ -d $(build-base)/. ] || mkdir -p $(build-base)
-
-	-@if [ ! -f $(tarball) ] ; then \
-	    echo "Upstream source tarball $(tarball) not found" ; \
-	else \
-	    rm -rf $(garbage) ; \
-	    cp $(tarball) $(build-base) ; \
-	    chdir $(build-base) ; \
-	    tar xzf $(DEFILE) ; \
-	    chdir $(build-area) ; \
-	    cp -r $(debian-area)/debian ./ ; \
-	    dpkg-buildpackage $(DPKG_BUILDPACKAGE) ; \
-	    if [ "$$?" -eq 0 ] ; then \
-	        chdir .. ; \
-	        touch run.lintian ; \
-	        rm -rf $(build-area) ; \
-	    else \
-	        chdir .. ; \
-	        mv $(build-area) $(build-area)-obsolete-`date +%s` ; \
-	    fi \
-	fi
-
 print-version:
 	@@echo "Debian version:          $(DEBVERSION)"
 	@@echo "Upstream version:        $(UPVERSION)"

## flexc++ 1.08.00

=== debian/changelog ===
flexc++ (1.08.00-1) unstable; urgency=low

  * New upstream release extends and reorganizes flexc++'s documentation
    and adds a member to the Scanner class which is called after a regular
    expression has been matched.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 28 Dec 2013 18:09:41 +0100

flexc++ (1.07.00-2) unstable; urgency=low

  * Export CXX during the build.  Together with the explicit dependency
    on g++4.8, this should address the FTBFS on architecures where the 
    default g++ is <= 4.6.  (Closes: #699574)

 -- tony mancill <tmancill@debian.org>  Sun, 11 Aug 2013 16:52:15 -0700

flexc++ (1.07.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release removes --force-* options

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 11 Aug 2013 18:52:02 +0200

flexc++ (1.06.00-2) unstable; urgency=low

  * Update Vcs fields to be canonical.
  * Rename collab-maint git repository from flexc++ to flexcpp.
  * Switch g++ dependency to g++-4.8 to allow auto-builders to install
    the necessary compiler on architectures where g++ (>= 4:4.7) is not
    available.
  * Update debian/compat and debhelper dependency to 9.

 -- tony mancill <tmancill@debian.org>  Sat, 10 Aug 2013 22:40:17 -0700

flexc++ (1.06.00-1) unstable; urgency=low

  * New upstream release fixes a look-ahead operator bug and issues warnings
    for options when conflicting with files previously generated by flexc++.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 06 Aug 2013 13:53:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>, 
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7.0.15), libbobcat-dev (>= 3.12.00),
-                icmake (>= 7.19.0), g++ (>= 4:4.7.1),
-                yodl (>= 3.00.0), 
+Build-Depends: debhelper (>= 9), libbobcat-dev (>= 3.12.00),
+                icmake (>= 7.21.0), g++-4.8 (>= 4.8.2),
+                yodl (>= 3.03.0), 
                 hardening-wrapper, hardening-includes
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://flexcpp.sourceforge.net
-Vcs-Git: git://git.debian.org/git/collab-maint/flexc++.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/flexc++.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/flexcpp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flexcpp.git
 
 Package: flexc++
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Archive downloaded from https://www.icce.rug.nl/debian/flexc++
 #                               file: flexc++_x.y.z.tar.gz
 
-MD5TRUSTED := 2e3e137c948aeb688a61f0cc2cdedad7
+MD5TRUSTED := 6578f810f54e18234556dab3112e4d84
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
@@ -19,8 +19,8 @@
 export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
-CXXFLAGS += --std=c++0x -Wall 
-# CXX = g++-4.7
+export CXXFLAGS += --std=c++0x -Wall 
+export CXX = g++-4.8
 
 SKEL = /usr/share/flexc++
 
@@ -52,7 +52,7 @@
 	./build install program debian/flexc++/usr/bin/flexc++
 	./build install skel    debian/flexc++/usr/share/flexc++
 	./build install std     debian/flexc++/usr/share/doc/flexc++
-	./build install man     debian/flexc++/usr/share/man/man1
+	./build install man     debian/flexc++/usr/share/man
 	./build install manual  debian/flexc++/usr/share/doc/flexc++/manual
 
 binary-indep:

## flexc++ 2.01.00

=== debian/changelog ===
flexc++ (2.01.00-2) unstable; urgency=medium

  * Drop explicit versioned g++ build-dep.  (Closes: #751307)
  * Drop hardening-* build-deps.

 -- tony mancill <tmancill@debian.org>  Sun, 03 Aug 2014 10:08:44 -0700

flexc++ (2.01.00-1) unstable; urgency=low

  * New upstream release uses a new algorithm to determine non-viable rules.
    Also several cosmetic improvements were implemented: see upstream's
    changelog. 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 15 Mar 2014 17:29:26 +0100

flexc++ (2.00.00-1) unstable; urgency=low

  * New upstream release completely changes the way look-ahead patterns are
    handled, adds support for raw string literals, fixes a bug, and offers a
    major documentation update. See upstream's changelog for an overview.

  * Updated versions in 'control'

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 09 Feb 2014 13:46:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>, 
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 9), libbobcat-dev (>= 3.12.00),
-                icmake (>= 7.21.0), g++-4.8 (>= 4.8.2),
-                yodl (>= 3.03.0), 
-                hardening-wrapper, hardening-includes
+Build-Depends: debhelper (>= 9),
+ libbobcat-dev (>= 3.20.01),
+ icmake (>= 7.21.01),
+ yodl (>= 3.03.0)
 Standards-Version: 3.9.5
 Homepage: http://flexcpp.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/flexcpp.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Archive downloaded from https://www.icce.rug.nl/debian/flexc++
 #                               file: flexc++_x.y.z.tar.gz
 
-MD5TRUSTED := 6578f810f54e18234556dab3112e4d84
+MD5TRUSTED := 06994317f6cb1b7dbe705776e369eefb
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
@@ -17,10 +17,9 @@
 
 export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
-
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
 export CXXFLAGS += --std=c++0x -Wall 
-export CXX = g++-4.8
+export CXX = g++
 
 SKEL = /usr/share/flexc++

## flexc++ 2.02.00

=== debian/changelog ===
flexc++ (2.02.00-3) unstable; urgency=medium

  * Rebuild against bobcat >= 3.25.02-3 for g++5 ABI transition.

 -- tony mancill <tmancill@debian.org>  Thu, 13 Aug 2015 07:43:57 -0700

flexc++ (2.02.00-2) unstable; urgency=medium

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 01 May 2015 20:28:00 -0700

flexc++ (2.02.00-1) experimental; urgency=low

  * New upstream release fixes bugs caused by incomplete final lines in
    specification files.

  * Changed compiler flag --std=c++0x to --std=c++14 in debian/rules

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 13 Mar 2015 16:42:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: George Danchev <danchev@spnet.net>, 
            tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 9),
- libbobcat-dev (>= 3.20.01),
- icmake (>= 7.21.01),
- yodl (>= 3.03.0)
-Standards-Version: 3.9.5
+ libbobcat-dev (>= 3.25.01),
+ icmake (>= 7.22.00),
+ yodl (>= 3.05.0)
+Standards-Version: 3.9.6
 Homepage: http://flexcpp.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/flexcpp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flexcpp.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Archive downloaded from https://www.icce.rug.nl/debian/flexc++
 #                               file: flexc++_x.y.z.tar.gz
 
-MD5TRUSTED := 06994317f6cb1b7dbe705776e369eefb
+MD5TRUSTED := 8a2b9be97b6cfde1b599b6ac925f39fe
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
@@ -18,7 +18,7 @@
 export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
-export CXXFLAGS += --std=c++0x -Wall 
+export CXXFLAGS += --std=c++14 -Wall 
 export CXX = g++
 
 SKEL = /usr/share/flexc++

## flexc++ 2.03.04

=== debian/changelog ===
flexc++ (2.03.04-1) unstable; urgency=low

  * New upstream release fixes a memory leak in the generated scanner; build
    scripts adapted to icmake 8.00.04.

  * debian/control file updated accordingly.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 14 Dec 2015 15:45:29 +0100

flexc++ (2.03.03-1) unstable; urgency=low

  * Upstream fixed a flaw in the installation script, Upstream's 'build'
    script now supports -P to prevent the use of precompiled headers

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 06 Oct 2015 12:21:13 +0200

flexc++ (2.03.02-1) unstable; urgency=low

  * New upstream release reimplements its (un)installation procedure,
    debian/rules adapted accordingly

  * Removed the get-orig-source target from debian/rules 

  * Package depends on libbobcat4

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 02 Oct 2015 11:12:25 +0200

flexc++ (2.03.01-1) unstable; urgency=low

  * New upstream release speeds up compilation using precompiled headers, and
    simplifies the installation procedure

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 28 Sep 2015 20:34:32 +0200
  

flexc++ (2.03.00-1) unstable; urgency=low

  * New upstream release fixes bugs, supports initial 0-values for {x, y}
    interval expressions, and the 'build' script is extended with a 'build
    uninstall' command (see the upstream changelog for details).

  * Flexc++'s homepage has moved to https://fbb-git.github.io/flexcpp/.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 28 Aug 2015 09:54:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: George Danchev <danchev@spnet.net>, 
            tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 9),
- libbobcat-dev (>= 3.25.01),
- icmake (>= 7.22.00),
- yodl (>= 3.05.0)
+ libbobcat-dev (>= 4.01.00),
+ icmake (>= 8.00.04),
+ yodl (>= 3.06.0)
 Standards-Version: 3.9.6
-Homepage: http://flexcpp.sourceforge.net
+Homepage: https://fbb-git.github.io/flexcpp/
 Vcs-Git: git://anonscm.debian.org/collab-maint/flexcpp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flexcpp.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_BUILD_HARDENING=1

export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
export CXXFLAGS += --std=c++14 -Wall 
export CXX = g++

SKEL = /usr/share/flexc++

build: build-indep build-arch
build-indep:
build-arch: build-stamp
build-stamp:
	dh_testdir
	# compile the package.
	./build program
	./build man
	./build manual
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	./build distclean
	dh_clean

install: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/flexc++.
	./build install x debian/flexc++

binary-indep:

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README.class-setup
#       dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

## flexc++ 2.05.00

=== debian/changelog ===
flexc++ (2.05.00-1) unstable; urgency=low

  * New upstream adds new option (--own-parser), uses a parser generated by
    bisonc++ V.5.00.00, and fixes a bug in handling long options.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 13 Apr 2016 14:58:42 +0530

flexc++ (2.04.00-1) unstable; urgency=low

  * New upstream release fixes a peculiar bug: all (at least: most) previous
    releases never handled the lexical scanner's first character range
    (starting from \0 to the character having the lowest character value
    appearing in any rule outside of the first character range. See the
    upstream changelog for further details.

  * It turned out that a bugfix implemented on Mar 13th 2015 (release 2.02.00)
    re-introduced a problem with lookahead operators (which had been fixed in
    release 2.00.00). That bug could easily squashed (done in this release)

  * Inconsistencies found in the manual were removed, and several regression
    tests were added. This release successfully passes all old and new
    regression tests.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 06 Mar 2016 21:41:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: George Danchev <danchev@spnet.net>, 
            tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 9),
- libbobcat-dev (>= 4.01.00),
- icmake (>= 8.00.04),
+ libbobcat-dev (>= 4.01.04),
+ icmake (>= 8.01.00),
  yodl (>= 3.06.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://fbb-git.github.io/flexcpp/
 Vcs-Git: git://anonscm.debian.org/collab-maint/flexcpp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flexcpp.git

## flexc++ 2.06.02

=== debian/changelog ===
flexc++ (2.06.02-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0

 -- tony mancill <tmancill@debian.org>  Fri, 23 Jun 2017 10:31:18 -0700

flexc++ (2.06.02-1) experimental; urgency=medium

  * New upstream release uses a parser generated by Bisonc++ 6.00.00, and
    activated the build script's 'strip' argument and '-P' option.

  * Removed the --std=c++14 option from debian/rules, as that's by now the
    default. 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 18 May 2017 11:35:44 +0200

flexc++ (2.06.01-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * Somehow the timestamps of the upstream archive's scanner/lexer and
    scanner/lex.cc in the previous release were incorrect, resulting in the
    build process attempting to rebuild lex.cc using flexc++ (which at this
    point clearly doesn't exist).  The timestamps were fixed in this release.

  [ tony mancill ]
  * Use debhelper 10.

 -- tony mancill <tmancill@debian.org>  Sat, 04 Mar 2017 10:49:29 -0800

flexc++ (2.06.00-1) unstable; urgency=low

  * New upstream adds new directive (%startcondition-name), allowing users to
    specify a non-default name for the Scanner's start conditions.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 27 Feb 2017 12:39:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>, 
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 9),
- libbobcat-dev (>= 4.01.04),
- icmake (>= 8.01.00),
- yodl (>= 3.06.0)
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10),
+ libbobcat-dev (>= 4.07.00),
+ icmake (>= 9.02.02),
+ yodl (>= 3.08.2)
+Standards-Version: 4.0.0
 Homepage: https://fbb-git.github.io/flexcpp/
 Vcs-Git: git://anonscm.debian.org/collab-maint/flexcpp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flexcpp.git

## flexc++ 2.07.02

=== debian/changelog ===
flexc++ (2.07.02-1) unstable; urgency=medium

  * New upstream version
  * Upstream fixed missing semicolon behind [[fallthrough]] attributes in
    flexc++'s own but also in its generated code (cf. C++ standard 20, section
    10.6.5)
  * Upstream migration from Github to Gitlab
  * Updated debian/control accordingly
  * Added debian/watch

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 25 Jun 2018 13:53:17 +0200

flexc++ (2.07.00-1) unstable; urgency=medium

  * Upstream changed identifiers using double underscores to identifiers using
    single underscores, as double underscores are reserved for the language.

  * Namespace-based prefixes of include guards only use alpha-numeric and
    underscore characters (omitting colons).

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 16 May 2018 08:32:56 +0200

flexc++ (2.06.04-2) unstable; urgency=medium

  * Update Vcs fields for migration from Alioth -> Salsa
  * Drop unnecessary build-dep on g++-7
  * Bump Standards-Version to 4.1.4
  * Update build-dep on bobcat to address FTBFS with g++-8
    (Closes: #897749)

 -- tony mancill <tmancill@debian.org>  Mon, 07 May 2018 16:26:44 -0700

flexc++ (2.06.04-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release changes erroneously used .hh extensions by .ih
    extensions in the manual and man-pages.
  * New upstream version 2.06.04

  [ tony mancill ]
  * Add build dependency on g++-7

 -- tony mancill <tmancill@debian.org>  Sun, 11 Mar 2018 12:29:10 -0700

flexc++ (2.06.03-1) unstable; urgency=low

  * New upstream release uses C++-17 attributes and fixes a small bug in
    a debug statement

  * The debian/compat file now specifies 11

  * Standards-Version set to 4.1.3, versions of required construction programs
    were also updated

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 08 Mar 2018 13:17:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: devel
 Priority: optional
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
-Uploaders: George Danchev <danchev@spnet.net>, 
+Uploaders: George Danchev <danchev@spnet.net>,
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 10),
- libbobcat-dev (>= 4.07.00),
- icmake (>= 9.02.02),
- yodl (>= 3.08.2)
-Standards-Version: 4.0.0
-Homepage: https://fbb-git.github.io/flexcpp/
-Vcs-Git: git://anonscm.debian.org/collab-maint/flexcpp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flexcpp.git
+Build-Depends: debhelper (>= 11.1.2),
+ libbobcat-dev (>= 4.08.03),
+ icmake (>= 9.02.04),
+ yodl (>= 4.02.00)
+Standards-Version: 4.1.4
+Homepage: https://fbb-git.gitlab.io/flexcpp/
+Vcs-Browser: https://salsa.debian.org/debian/flexcpp
+Vcs-Git: https://salsa.debian.org/debian/flexcpp.git
 
 Package: flexc++
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: bisonc++
-Description: Flex-style scanner generator for C++ 
+Description: Flex-style scanner generator for C++
  Flexc++ was designed after `flex'. Flexc++ offers as compared to flex's C++
  option a cleaner class-design.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_HARDENING = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export LDFLAGS += -Wl,-z,now

export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
export CXXFLAGS += --std=c++17 -Wall -D_FORTIFY_SOURCE=2

export CXX = g++

SKEL = /usr/share/flexc++

%:
	dh $@

override_dh_auto_clean:
	./build clean
	dh_auto_clean

override_dh_auto_build:
	# compile the package.
	./build program
	./build man
	./build manual
	dh_auto_build -a

override_dh_auto_install:
	# Add here commands to install the package into debian/flexc++.
	./build install x debian/flexc++
	dh_installdocs README.class-setup
	dh_auto_install

print-version:
	@@echo "Debian version:                  $(DEBVERSION)"
	@@echo "Upstream version:                $(UPVERSION)"

## flexc++ 2.07.03

=== debian/changelog ===
flexc++ (2.07.03-1) unstable; urgency=low
  
  [ Frank B. Brokken ]
  * New upstream release: updated some manual sections and other cosmetic
    changes. See the upstream changelog.
  * debian/rules specifies C++ std 2a.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 10 Nov 2018 12:36:35 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 export LDFLAGS += -Wl,-z,now
 
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
-export CXXFLAGS += --std=c++17 -Wall -D_FORTIFY_SOURCE=2
+export CXXFLAGS += --std=c++2a -Wall -D_FORTIFY_SOURCE=2
 
 export CXX = g++

## flexc++ 2.07.04

=== debian/changelog ===
flexc++ (2.07.04-1) experimental; urgency=low

  * New upstream release contains new flexc++.xref file and updated
    descriptions of pushStream and popStream in both the flexc++api man-page
    and the manual.
  * Added flexc++.xref to the debian documentation (dh_installdocs)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 21 Mar 2019 09:22:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>,
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 11.1.2),
- libbobcat-dev (>= 4.08.03),
+Build-Depends: debhelper (>= 11),
+ libbobcat-dev (>= 4.08.06),
  icmake (>= 9.02.04),
  yodl (>= 4.02.00)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://fbb-git.gitlab.io/flexcpp/
 Vcs-Browser: https://salsa.debian.org/debian/flexcpp
 Vcs-Git: https://salsa.debian.org/debian/flexcpp.git

## flexc++ 2.07.06

=== debian/changelog ===
flexc++ (2.07.06-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release uses a parser generated by bisonc++ V. 6.03.00

  [ tony mancill ]
  * Bump Standards-Version to 4.4.0
  * Update years in copyright
  * Use debhelper 12

 -- tony mancill <tmancill@debian.org>  Tue, 23 Jul 2019 21:25:38 -0700

flexc++ (2.07.05-1) unstable; urgency=low

  * New upstream release fixes a flaw in the user guide
  * New release depends on bobcat version 5

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 25 Apr 2019 09:08:50 +0200

flexc++ (2.07.04-1) unstable; urgency=low

  * New upstream release contains new flexc++.xref file and updated
    descriptions of pushStream and popStream in both the flexc++api man-page
    and the manual.
  * Added flexc++.xref to the debian documentation (dh_installdocs)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 21 Mar 2019 09:22:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>,
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 11),
- libbobcat-dev (>= 4.08.06),
+Build-Depends: debhelper (>= 12),
+ libbobcat-dev (>= 5.00.00),
  icmake (>= 9.02.04),
  yodl (>= 4.02.00)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://fbb-git.gitlab.io/flexcpp/
 Vcs-Browser: https://salsa.debian.org/debian/flexcpp
 Vcs-Git: https://salsa.debian.org/debian/flexcpp.git

## flexc++ 2.07.07

=== debian/changelog ===
flexc++ (2.07.07-2) unstable; urgency=medium

  * Set FORCE_SOURCE_DATE=1 in debian/rules for reproducible builds
  * Bump Standards-Version to 4.5.0

 -- tony mancill <tmancill@debian.org>  Wed, 05 Feb 2020 06:35:27 -0800

flexc++ (2.07.07-1) unstable; urgency=medium

  * New upstream release added missing implementation of the
    ScannerBase::streamStack member function
  * Updated debian/control (standards: 4.4.1, added debhelper-compat and
    Rules-Requires-Root specifications
  * Removed now superfluous debian/compat

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 17 Jan 2020 22:29:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>,
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 12),
- libbobcat-dev (>= 5.00.00),
+Build-Depends: debhelper-compat (= 12),
+ libbobcat-dev (>= 5.02.00),
  icmake (>= 9.02.04),
- yodl (>= 4.02.00)
-Standards-Version: 4.4.0
+ yodl (>= 4.02.02)
+Standards-Version: 4.5.0
 Homepage: https://fbb-git.gitlab.io/flexcpp/
 Vcs-Browser: https://salsa.debian.org/debian/flexcpp
 Vcs-Git: https://salsa.debian.org/debian/flexcpp.git
+Rules-Requires-Root: no
 
 Package: flexc++
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+
+# tell texlive to respect SOURCE_DATE_EPOCH for reproducible builds
+export FORCE_SOURCE_DATE=1
 
 export DEB_BUILD_HARDENING = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -41,7 +44,7 @@
 override_dh_auto_install:
 	# Add here commands to install the package into debian/flexc++.
 	./build install x debian/flexc++
-	dh_installdocs README.class-setup
+	dh_installdocs README.class-setup flexc++.xref
 	dh_auto_install
 
 print-version:
